// Code generated by MockGen. DO NOT EDIT.
// Source: ./quotes_interface.go

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	entity "gitlab.com/golight/example-service/modules/quotes/entity"
)

// MockQuoteser is a mock of Quoteser interface.
type MockQuoteser struct {
	ctrl     *gomock.Controller
	recorder *MockQuoteserMockRecorder
}

// MockQuoteserMockRecorder is the mock recorder for MockQuoteser.
type MockQuoteserMockRecorder struct {
	mock *MockQuoteser
}

// NewMockQuoteser creates a new mock instance.
func NewMockQuoteser(ctrl *gomock.Controller) *MockQuoteser {
	mock := &MockQuoteser{ctrl: ctrl}
	mock.recorder = &MockQuoteserMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockQuoteser) EXPECT() *MockQuoteserMockRecorder {
	return m.recorder
}

// Count mocks base method.
func (m *MockQuoteser) Count(ctx context.Context) (uint64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Count", ctx)
	ret0, _ := ret[0].(uint64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Count indicates an expected call of Count.
func (mr *MockQuoteserMockRecorder) Count(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Count", reflect.TypeOf((*MockQuoteser)(nil).Count), ctx)
}

// Create mocks base method.
func (m *MockQuoteser) Create(ctx context.Context, dto entity.Quote) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", ctx, dto)
	ret0, _ := ret[0].(error)
	return ret0
}

// Create indicates an expected call of Create.
func (mr *MockQuoteserMockRecorder) Create(ctx, dto interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockQuoteser)(nil).Create), ctx, dto)
}

// GetByID mocks base method.
func (m *MockQuoteser) GetByID(ctx context.Context, quotesID int) (entity.Quote, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetByID", ctx, quotesID)
	ret0, _ := ret[0].(entity.Quote)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetByID indicates an expected call of GetByID.
func (mr *MockQuoteserMockRecorder) GetByID(ctx, quotesID interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetByID", reflect.TypeOf((*MockQuoteser)(nil).GetByID), ctx, quotesID)
}

// GetList mocks base method.
func (m *MockQuoteser) GetList(ctx context.Context) ([]*entity.Quote, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetList", ctx)
	ret0, _ := ret[0].([]*entity.Quote)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetList indicates an expected call of GetList.
func (mr *MockQuoteserMockRecorder) GetList(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetList", reflect.TypeOf((*MockQuoteser)(nil).GetList), ctx)
}

// InitData mocks base method.
func (m *MockQuoteser) InitData(ctx context.Context, entities []*entity.Quote) (bool, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "InitData", ctx, entities)
	ret0, _ := ret[0].(bool)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// InitData indicates an expected call of InitData.
func (mr *MockQuoteserMockRecorder) InitData(ctx, entities interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "InitData", reflect.TypeOf((*MockQuoteser)(nil).InitData), ctx, entities)
}

// Ping mocks base method.
func (m *MockQuoteser) Ping(ctx context.Context) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Ping", ctx)
	ret0, _ := ret[0].(error)
	return ret0
}

// Ping indicates an expected call of Ping.
func (mr *MockQuoteserMockRecorder) Ping(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Ping", reflect.TypeOf((*MockQuoteser)(nil).Ping), ctx)
}

// Upsert mocks base method.
func (m *MockQuoteser) Upsert(ctx context.Context, entities []*entity.Quote, opts ...interface{}) error {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, entities}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Upsert", varargs...)
	ret0, _ := ret[0].(error)
	return ret0
}

// Upsert indicates an expected call of Upsert.
func (mr *MockQuoteserMockRecorder) Upsert(ctx, entities interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, entities}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Upsert", reflect.TypeOf((*MockQuoteser)(nil).Upsert), varargs...)
}
